%define url_ver %(echo %{version}|cut -d. -f1,2)

#filter out engine .so provides
%global __provides_exclude_from %{_libdir}/%{name}/engines/.*\\.so

Summary:       Notification daemon for MATE Desktop
Name:          mate-notification-daemon
Version: 1.24.1
Release: %mkrel 1
License:       GPLv2+
Group:         System/Servers
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-notification-daemon-1.20.1-no-exit-on-idle.patch
BuildRequires: intltool
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(dbus-glib-1) >= 0.78
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires: libxml2-utils
Requires:      libnotify
Provides:      virtual-notification-daemon
Recommends:    notification-daemon-engine-nodoka

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%autosetup -p1

%build
%configure \
     --disable-static \
     --disable-schemas-compile
%make_build

%install
%make_install

# We don't need these
rm -f %{buildroot}%{_libdir}/mate-notification-daemon/engines/*.la
rm -fr %{buildroot}%{_datadir}/MateConf

# Do not install the DBus service file because multiple programs
# can provide org.freedesktop.Notifications (e.g. gnome-shell,
# GNOME notification-daemon, Ubuntu notify-osd, XFCE notifyd)
# but only one can run at a given time.  The supported solution is
# for none of them to register for DBus autostart, but leave the
# session manager to launch the service provider for the given desktop.
#
# See: https://bugzilla.redhat.com/show_bug.cgi?id=484945#c33
rm -rf %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service

# Autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Notification daemon for MATE Desktop
Exec=%{_libexecdir}/mate-notification-daemon
Icon=mate-notification-properties
OnlyShowIn=MATE;
EOF

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/mate-notification-properties
%{_datadir}/applications/mate-notification-properties.desktop
%{_libexecdir}/mate-notification-daemon
%{_datadir}/icons/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_libdir}/mate-notification-daemon/
%{_mandir}/man1/mate-notification-properties.1.*


%changelog
* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618700
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548106
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488826
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-1.mga8
+ Revision: 1465682
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375505
- Update to version 1.22.0

* Tue Jan 01 2019 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1348382
- Update to version 1.20.2

* Mon Dec 03 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1338061
- Update to version 1.20.1
- Renamed and rediffed Patch0

* Sun Sep 23 2018 umeabot <umeabot> 1.19.1-2.mga7
+ Revision: 1299474
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187427
- Updated to 1.19.1 version

* Sat Oct 28 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174489
- Updated to 1.19.0 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092584
- Update to 1.18.0 version
- Update to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1076947
- new version 1.16.1
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001231
- Update to 1.14.0 version

* Wed Mar 16 2016 wally <wally> 1.13.0-2.mga6
+ Revision: 992085
- rediff no-exit-on-idle.patch to apply with --fuzz=0

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 947703
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908181
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898513
-Update to 1.12.0 version

* Wed Oct 07 2015 wally <wally> 1.10.2-2.mga6
+ Revision: 886902
- restore and rediff 'no exit on idle' patch

* Tue Oct 06 2015 tarakbumba <tarakbumba> 1.10.2-1.mga6
+ Revision: 886647
- Update to 1.10.2 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872984
- new version 1.10.1
- rediff patches

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837902
- Update to 1.10.0 version

* Tue Mar 31 2015 wally <wally> 1.8.1-2.mga5
+ Revision: 819452
- drop DBus service file, launch notification daemon via xdg autostart only in MATE and add a patch to keep it running for the entire session (mga#15602, rhbz#484945)

* Thu Oct 23 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 792782
- Update to 1.8.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 748979
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682197
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600094
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598051
- Update to 1.7.x version

* Tue Feb 04 2014 wally <wally> 1.6.1-2.mga5
+ Revision: 581077
- drop unneeded conflicts for xfce4-notifyd (mga#12480)

* Fri Nov 01 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 548754
- Updated to latest bugfix version

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531053
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442927
- imported package mate-notification-daemon

